cascading.util.cache

## Interface CacheEvictionCallback<Key,Value>

All Superinterfaces:
  java.io.Serializable

    public interface CacheEvictionCallback<Key,Value>
    extends java.io.Serializable

CacheEvictionCallBack is an interface to be used in conjunction with `CascadingCache` instances. This enables a to do processing whenever an entry is evicted from the Cache.

### Field Summary

Fields
`static CacheEvictionCallback` `NULL` NO-OP implementation of `CacheEvictionCallback`.

### Method Summary

Methods
`void` `evict(java.util.Map.Entry<Key,Value> entry)` Method will be called by the `CascadingCache` implementation whenever a key is evicted.

### Field Detail

#### NULL

    static final CacheEvictionCallback NULL

NO-OP implementation of `CacheEvictionCallback`.

### Method Detail

#### evict

    void evict(java.util.Map.Entry<Key,Value> entry)

Method will be called by the `CascadingCache` implementation whenever a key is evicted.

Parameters:
  `entry` - The entry being removed from the cache.